## ros-indigo-camera1394stereo 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(camera1394stereo)

find_package(catkin REQUIRED COMPONENTS 
	camera_info_manager 
	driver_base 
	dynamic_reconfigure 
	image_transport 
	nodelet 
	roscpp
	rospy
	tf)

# This driver uses Boost threads
find_package(Boost REQUIRED COMPONENTS thread)

# Resolve system dependency on libdc1394, which apparently does not
# provide a CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(DC1394_PKGCONF REQUIRED libdc1394-2)
find_path(DC1394_INCLUDE_DIR
  NAMES dc1394.h
  PATHS ${DC1394_PKGCONF_INCLUDE_DIRS}
)
find_library(DC1394_LIBRARY
  NAMES dc1394
  PATHS ${DC1394_PKGCONF_LIBRARY_DIRS}
)

# auto-generated dynamic reconfiguration GUI
generate_dynamic_reconfigure_options(cfg/Camera1394Stereo.cfg)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
)

include_directories(cfg/cpp ${catkin_INCLUDE_DIRS})

# common source files for both node and nodelet driver interfaces
set(DRIVER_SOURCES 
  src/nodes/driver1394stereo.cpp
  src/nodes/dev_camera1394stereo.cpp
  src/nodes/featuresstereo.cpp
  src/nodes/format7stereo.cpp
  src/nodes/modes.cpp
  src/nodes/trigger.cpp)

# Mac OSX requires extra linker parameters
if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
  set(DC1394 dc1394 "-framework CoreServices")
else(CMAKE_SYSTEM_NAME MATCHES "Darwin")
  set(DC1394 dc1394)
endif(CMAKE_SYSTEM_NAME MATCHES "Darwin")


add_executable(camera1394stereo_node src/nodes/camera1394stereo_node.cpp ${DRIVER_SOURCES})
add_dependencies(camera1394stereo_node camera1394stereo_gencfg) 
add_dependencies(camera1394stereo_node camera1394stereo_EXPORTED_TARGETS) 
target_link_libraries(camera1394stereo_node ${DC1394} ${catkin_LIBRARIES})

add_library(camera1394stereo_nodelet src/nodes/nodelet.cpp ${DRIVER_SOURCES})
add_dependencies(camera1394stereo_nodelet camera1394stereo_gencfg) 
add_dependencies(camera1394stereo_nodelet camera1394stereo_EXPORTED_TARGETS) 
target_link_libraries(camera1394stereo_nodelet ${DC1394} ${catkin_LIBRARIES})

# driver unit tests
#
#  * When -DDEVICE_TEST=true is configured: run tests that require
#    some real 1394 camera to be attached.
#
#  * Otherwise, run only tests that require no attached camera, as is
#    done on the ROS build machines.
#

#if (${DEVICE_TEST})
#  add_rostest(tests/camera_node_hz.test)
#  add_rostest(tests/camera_nodelet_hz.test)
#endif (${DEVICE_TEST})

#add_rostest(tests/no_device_node.test)
#add_rostest(tests/no_device_nodelet.test)

=== debian/changelog ===
ros-indigo-camera1394stereo (1.0.3-3trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Miquel Massot <miquel.massot@uib.es>  Mon, 19 Oct 2015 15:07:32 -0000

ros-indigo-camera1394stereo (1.0.1-3trusty) trusty; urgency=high

  * added libdc1394-22 dependency
  * Fix #1 <https://github.com/srv/camera1394stereo/issues/1>: pachage was always compiling due to a broken dependency

 -- Miquel Massot <miquel.massot@uib.es>  Thu, 25 Jul 2013 22:00:00 -0000

ros-indigo-camera1394stereo (1.0.0-3trusty) trusty; urgency=high

  * working catkinization of package. Prepared for release
  * added package.xml
  * catkinization of package
  * Merge branch 'develop'
  * Merge branch 'develop'
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * Fixed documentation comments concerning published topics.
  * Minor fixes in output messages.
  * Fixed name bug in nodelet class.
  * Fixed camera_info_manager:: namespace warning for Electric.
  * Publishing namespace changed to stereo_camera in nodelet.cpp
  * Added launch files to test nodelet version
  * Fixed white space typo
  * Fixed color coding parameter name in launch files
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * Fixed bug wrong service name: single_nh_ now inherits namespace from main camera_nh_
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * adapted launch file to be more general
  * Added rosdep libdc1394-utils
  * Added rosdep.yaml for libdc1394 dependencies
  * Merge branch 'develop'
  * Removed from .gitignore Makefile in package root
  * Upgrade to version for diamondback
  * Initial commit (stable version for cturtle)

 -- Miquel Massot <miquel.massot@uib.es>  Sun, 07 Apr 2013 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-camera1394stereo
Section: misc
Priority: extra
Maintainer: Miquel Massot <miquel.massot@uib.es>
Build-Depends: debhelper (>= 9.0.0), libdc1394-22-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-tf
Homepage: http://ros.org/wiki/camera1394stereo
Standards-Version: 3.9.2

Package: ros-indigo-camera1394stereo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-info-manager, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-tf
Description: This is a modified version of the ROS driver for devices supporting the IEEE 1394 Digital Camera (IIDC) protocol in package camera1394. It adds support for reading from stereo pairs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-camera1394stereo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
